+ Add Question

Can I get a version compatible with Mac Os X 10.6?

PL

I have Mac os X 10.6. I downloaded todoist, but it only works with Mac OS X 10.7 or higher. Is there an earlier version that I can download and use with Mac OS X 10.6?

All responses

David Trey staff
Replied on Jan 08, 2013 - 12:40

Hello Pauline,

Yes, you can use an older version: http://files.wedoist.com/dbb88e0cacd358c4bb31da36b438475a/as/TodoistApp.zip but please note that it's no longer supported by us and won't be updated in the future.


Best regards,
David

MN
Matt Neale
Replied on Aug 05, 2013 - 08:14

Brilliant. Thanks so much for keeping this available David. I need to keep some computers on Snow leopard for access to some other scientific PowerPC software that won't be updated. Much appreciated.

SB
Sherwood Bishop premium
Replied on Aug 06, 2013 - 04:06

I'm in the same situation. I have a new Mac running OS 10.8, but I'm still using an old one with 10.6 so I can use some older software.

Fran Jurga premium
Replied on Nov 07, 2013 - 04:56

Thanks for keeping the old version available. That's very helpful.